import 'package:contentsquare/contentsquare.dart';
import 'package:flutter/widgets.dart';

class NavigationTracker extends NavigatorObserver {
  @override
  void didPush(Route route, Route previousRoute) {
    if (route.settings.name != null) {
      Contentsquare().send(route.settings.name);
    }
    super.didPush(route, previousRoute);
  }
}
